Summary:	X.org video drivers for ATI VGAWonder/Mach32/Mach64 adapters
Summary(pl.UTF-8):	Sterowniki obrazu X.org do kart graficznych ATI VGAWonder/Mach32/Mach64
Name:		xorg-driver-video-mach64
Version:	6.9.3
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-mach64-%{version}.tar.bz2
# Source0-md5:	94189e4ad9dc431a962228c61dae6f77
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libdrm-devel >= 2.2
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.12.901
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-glproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-proto-xf86driproto-devel
BuildRequires:	xorg-proto-xf86miscproto-devel
BuildRequires:	xorg-proto-xineramaproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.2
%{?requires_xorg_xserver_videodrv}
Requires:	libdrm >= 2.2
Requires:	xorg-lib-libpciaccess >= 0.12.901
Requires:	xorg-xserver-libdri >= 1.2
Requires:	xorg-xserver-libglx >= 1.2
Requires:	xorg-xserver-server >= 1.2
Provides:	xorg-driver-video
Obsoletes:	XFree86-Mach32
Obsoletes:	XFree86-Mach64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for old ATI adapters; supports most of chips from:
- VGAWonder series: 18800, 18800-1, 28800-2, 28800-4, 28800-5, 28800-6
- Mach32 series: 68800-3, 68800-6, 68800AX, 68800LX
- Mach64 series: 88800GX-C, 88800GX-D, 88800GX-E, 88800GX-F, 88800CX,
  264CT, 264ET, 264VT, 264GT (3D Rage), 264VT-B, 264VT3, 264VT4, 264GT-B
  (3D Rage II), 3D Rage IIc, 3D Rage Pro, 3D Rage LT, 3D Rage LT Pro, 3D
  Rage XL, 3D Rage XC, 3D Rage Mobility (including the -M and -P
  variants)

%description -l pl.UTF-8
Sterownik obrazu X.org do starych kart graficznych ATI; obsługuje
większość kart z serii:
- VGAWonder: 18800, 18800-1, 28800-2, 28800-4, 28800-5, 28800-6
- Mach32: 68800-3, 68800-6, 68800AX, 68800LX)
- Mach64: 88800GX-C, 88800GX-D, 88800GX-E, 88800GX-F, 88800CX, 264CT,
  264ET, 264VT, 264GT (3D Rage), 264VT-B, 264VT3, 264VT4, 264GT-B (3D
  Rage II), 3D Rage IIc, 3D Rage Pro, 3D Rage LT, 3D Rage LT Pro, 3D
  Rage XL, 3D Rage XC, 3D Rage Mobility (włącznie z wariantami -M i
  -P)

%prep
%setup -q -n xf86-video-mach64-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/mach64_drv.so
%changelog
* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 0bfc87a
- updated to 6.9.3

* Mon Jul 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 8b29a80
- updated to 6.9.2

* Sat Mar 24 2012 Jakub Bogusz <qboosh@pld-linux.org> b7d622f
- updated to 6.9.1

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 49778b9
- release 4

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f7d2d89
- release 3

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> a44ff5f
- xorg-driver-video virtual for video drivers
- release 2

* Fri Apr 29 2011 Jakub Bogusz <qboosh@pld-linux.org> 27e6fb6
- updated BRs

* Thu Apr 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a6e85fe
- up to 6.9.0

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> bab8f77
- release 6

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> f69a8ec
- rel up

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 1c9e054
- more docs
- updated deps

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> cbc0f93
- release 4

* Thu May 13 2010 sparky <sparky@pld-linux.org> 6d23c7f
- BR: xorg-proto-xineramaproto-devel
- dropped BR: xorg-proto-xf86miscproto-devel

* Fri Apr 02 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 826cb16
- release 3

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 9562795
- release 2

* Sun Sep 20 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> e8a399a
- up to 6.8.2

* Wed Jun 17 2009 amateja <amateja@pld-linux.org> 9508cab
- updated to 6.8.1

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 8be5bf0
- release 5

* Sat Dec 27 2008 Jakub Bogusz <qboosh@pld-linux.org> b0b8311
- R: xorg libdri,libglx

* Wed Nov 05 2008 hawk <hawk@pld-linux.org> f457ccf
- release 4

